[Fusionforge-commits] FusionForge branch feature/twig-template-engine updated. 71e3679da035e0a871a4d15399f2f3bc2b6f5055

Roland Mas lolando at fusionforge.org
Wed Dec 10 22:23:35 CET 2014


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, feature/twig-template-engine has been updated
       via  71e3679da035e0a871a4d15399f2f3bc2b6f5055 (commit)
       via  03a975789782d3f2d9beab14d930809814905cb7 (commit)
       via  b5c5a6d9016387c8bee2a64d9bcd8b693a76fb36 (commit)
       via  05f4037c5fff0bc17991c8217fc137b3b106748e (commit)
       via  bd0ef0f06eb0943bc4ad63a9d76e494d6df14f3b (commit)
       via  c5f7eba2b14d95f10fb064085566b43fa9bbd3f4 (commit)
       via  eeaa64ba018730009e009d25e9c381d8a04d9639 (commit)
       via  a8a1ef0a4ba2cecd1bb1a2626ec32d3ddc856dd2 (commit)
       via  cf59f89e2769f66dfbf7a957080086c4608fb904 (commit)
       via  99687730679746feda45b4aa35cbd3bdff5056be (commit)
       via  1f499e8a6383510ce075ce839dbc3840eaacb4ed (commit)
       via  38eca4206733d22dd11e2cdc3d7026e1b2b68bcd (commit)
       via  e10403a72fede824e4a9d06527e2195e88bf58cb (commit)
       via  ff33c99e4bf0481e91891d8db384c5ad971cecc3 (commit)
      from  dc75cd823070b8b797152b3ecde0a2336b52257a (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 71e3679da035e0a871a4d15399f2f3bc2b6f5055
Merge: dc75cd8 03a9757
Author: Roland Mas <lolando at debian.org>
Date:   Wed Dec 10 22:23:24 2014 +0100

    Merge branch 'master' into feature/twig-template-engine
    
    Conflicts:
    	src/debian/control.in
    	src/rpm/fusionforge.spec.in

diff --cc autoinstall/install-src.sh
index 2848bb0,595c666..e1a126f
--- a/autoinstall/install-src.sh
+++ b/autoinstall/install-src.sh
@@@ -33,10 -33,9 +33,10 @@@ if [ -e /etc/debian_version ]; the
  	apache2 postgresql libnss-pgsql2 unscd \
  	subversion augeas-tools viewvc git \
  	mediawiki \
 +	php-twig \
  	python-moinmoin libapache2-mod-wsgi python-psycopg2 \
- 	unoconv
-     if [ $(cat /etc/lsb-release | sed -n 's/DISTRIB_ID=//p') != 'Ubuntu' ]; then
+ 	unoconv poppler-utils
+     if ! dpkg-vendor --is Ubuntu; then
  	apt-get install locales-all  # https://bugs.launchpad.net/ubuntu/+source/glibc/+bug/1394929
      fi
  else
@@@ -46,22 -45,22 +46,23 @@@
  	httpd mod_ssl postgresql-server nscd \
  	subversion augeas viewvc git gitweb \
  	mediawiki119 \
 +	php-twig \
  	moin mod_wsgi python-psycopg2 \
- 	unoconv
+ 	unoconv poppler-utils
  fi
  
- cd $(dirname $0)/../src/
- make
- make install-base install-shell \
-     install-plugin-scmsvn install-plugin-scmgit \
-     install-plugin-blocks install-plugin-mediawiki install-plugin-moinmoin \
-     install-plugin-online_help
- # adapt .ini configuration in /etc/fusionforge/config.ini.d/
- make post-install-base post-install-shell \
-     post-install-plugin-scmsvn post-install-plugin-scmgit \
-     post-install-plugin-blocks post-install-plugin-mediawiki post-install-plugin-moinmoin \
-     post-install-plugin-online_help
+ (
+     cd $(dirname $0)/../src/
+     make
+     make install-base install-shell \
+         install-plugin-scmsvn install-plugin-scmgit \
+         install-plugin-blocks install-plugin-mediawiki install-plugin-moinmoin \
+         install-plugin-online_help
+     make post-install-base post-install-shell \
+         post-install-plugin-scmsvn post-install-plugin-scmgit \
+         post-install-plugin-blocks post-install-plugin-mediawiki post-install-plugin-moinmoin \
+         post-install-plugin-online_help
+ )
  
  # Dump clean DB
  if [ ! -e /root/dump ]; then $(dirname $0)/../tests/func/db_reload.sh --backup; fi
diff --cc src/debian/control.in
index 1b08b5b,6f7b9d3..22174f8
--- a/src/debian/control.in
+++ b/src/debian/control.in
@@@ -73,7 -73,7 +73,7 @@@ Description: collaborative development 
  
  Package: fusionforge-web
  Architecture: all
- Depends: fusionforge-common (=${source:Version}), fusionforge-db, php5-cli, libapache2-mod-php5, libphp-simplepie, php-http, php-http-webdav-server, libjs-jquery-livequery, python, ucf, unoconv, php-twig, ${misc:Depends}
 -Depends: fusionforge-common (=${source:Version}), fusionforge-db, php5-cli, libapache2-mod-php5, libphp-simplepie, php-http, php-http-webdav-server, libjs-jquery-livequery, python, ucf, unoconv, poppler-utils, ${misc:Depends}
++Depends: fusionforge-common (=${source:Version}), fusionforge-db, php5-cli, libapache2-mod-php5, libphp-simplepie, php-http, php-http-webdav-server, libjs-jquery-livequery, python, ucf, unoconv, poppler-utils, php-twig, ${misc:Depends}
  Recommends: locales-all
  Description: collaborative development tool - web part (using Apache)
   FusionForge provides many tools to aid collaboration in a
diff --cc src/rpm/fusionforge.spec.in
index ffb9e0e,02e2c47..bc6c0ab
--- a/src/rpm/fusionforge.spec.in
+++ b/src/rpm/fusionforge.spec.in
@@@ -167,7 -167,7 +167,7 @@@ f
  
  %package web
  Summary: Collaborative development tool - web part (using Apache)
- Requires: %{name}-common = %{version}-%{release}, %{name}-db = %{version}-%{release}, httpd, mod_ssl, php, php-pgsql, php-simplepie, php-pear-HTTP, php-nusoap, unoconv, php-twig
 -Requires: %{name}-common = %{version}-%{release}, %{name}-db = %{version}-%{release}, httpd, mod_ssl, php, php-pgsql, php-simplepie, php-pear-HTTP, php-nusoap, php-mbstring, unoconv, poppler-utils
++Requires: %{name}-common = %{version}-%{release}, %{name}-db = %{version}-%{release}, httpd, mod_ssl, php, php-pgsql, php-simplepie, php-pear-HTTP, php-nusoap, php-mbstring, unoconv, poppler-utils, php-twig
  %description web
  FusionForge provides many tools to aid collaboration in a
  development project, such as bug-tracking, task management,

-----------------------------------------------------------------------

Summary of changes:
 autoinstall/common-backports                 |    4 +-
 autoinstall/install-src.sh                   |   31 +++++++------
 autoinstall/install.sh                       |    2 +-
 src/common/docman/Parsedata.class.php        |    8 ++--
 src/common/docman/engine/parser_pdf.inc.php  |   12 ++---
 src/common/include/cron_utils.php            |   64 +++++++++++++-------------
 src/cronjobs/misc/README                     |    2 +-
 src/cronjobs/{lists => misc}/mailaliases.php |    0
 src/debian/control.in                        |    2 +-
 src/plugins/mediawiki/bin/install.sh         |    4 +-
 src/rpm/fusionforge.spec.in                  |    2 +-
 src/www/widgets/updatelayout.php             |    6 ++-
 12 files changed, 70 insertions(+), 67 deletions(-)
 rename src/cronjobs/{lists => misc}/mailaliases.php (100%)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list